//
//  NoDataView.m
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import "NoDataView.h"

@implementation NoDataView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [UIColor blackColor];
        self.opaque = NO;
        self.userInteractionEnabled = YES;
        self.alpha = 0.9;
        _textLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 0, 260, 200)];
        _textLabel.text = @"No data available.\n\nPlease proceed to the \"Home\" tab first, in order to generate your personal wordlist!";
        _textLabel.center = self.center;
        _textLabel.backgroundColor = [UIColor clearColor];
        _textLabel.font = [UIFont boldSystemFontOfSize:20.0f];
        _textLabel.textColor = [UIColor whiteColor];
        _textLabel.numberOfLines = 0;
        _textLabel.textAlignment = NSTextAlignmentCenter;
        _textLabel.shadowColor = [UIColor grayColor];
        _textLabel.shadowOffset = CGSizeMake(1, 1);
        [self addSubview:_textLabel];
    }
    return self;
}

- (void)layoutSubviews {
    [super layoutSubviews];
    _textLabel.center = CGPointMake(self.center.x, self.center.y - 48);
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
