//
//  Top20ViewController.m
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import "Top20ViewController.h"
#import "WordlistGenerator.h"
#import "NoDataView.h"

@interface Top20ViewController ()

@end

@implementation Top20ViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.noDataView = [[NoDataView alloc] initWithFrame:self.view.bounds];
    
	// Do any additional setup after loading the view.
}

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    
    NSArray* array = [WordlistGenerator sharedInstance].sortedWordlist;
    if(!array || [array count] == 0) {
        self.top10Label.text = @"No Data";
        self.top20Label.text = @"No Data";
        [self.view addSubview:self.noDataView];
    } else {
        NSMutableString* string1 = [[NSMutableString alloc] init];
        NSMutableString* string2 = [[NSMutableString alloc] init];
        for(NSInteger i = 0; i < 10; i++) {
            [string1 appendFormat:@"%i. %@", i+1, [array objectAtIndex:i]];
            if(i < 9) [string1 appendString:@"\n"];
        }
        for(NSInteger i = 10; i < 20; i++) {
            [string2 appendFormat:@"%i. %@", i+1, [array objectAtIndex:i]];
            if(i < 19) [string2 appendString:@"\n"];
        }
        
        self.top10Label.text = string1;
        self.top20Label.text = string2;
        [self.noDataView removeFromSuperview];
        
    }


}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
