//
//  WordlistGenerator.h
//  iOS Hotspot Cracker
//
//  Copyright (c) 2013, Andreas Kurtz & Markus Trossbach, Friedrich-Alexander-University, Erlangen, Germany.
//  All rights reserved.
//

#import <Foundation/Foundation.h>

typedef enum {
    kWordlistGenStageNotAvailable,
    kWordlistGenStageGeneratingWords,
    kWordlistGenStageFinalizing,
    kWordlistGenStageAvailable
} WordlistGeneratorStage;

@interface WordlistGenerator : NSObject

+ (WordlistGenerator*)sharedInstance;

@property (nonatomic, assign) NSInteger numberOfWords;
@property (nonatomic, strong) NSArray* sortedWordlist;

@property (nonatomic, assign) WordlistGeneratorStage stage;
@property (nonatomic, assign) CGFloat progress;

- (NSData*)dataForWordlist;

- (void)start;

@end
